#
# spec file for package hello
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hello
# How to define macros
%define hello echo "hello world"
Provides:       mailreader
Summary:        A Friendly Greeting Program
License:        GPL-3.0-or-later
Group:          Development/Tools/Other
Version:        2.10
Release:        0
Url:            http://www.gnu.org/software/hello
#!RemoteAsset: sha256:31e066137a962676e89f69d1b65382de95a7ef7d914b8cb956f41ea72e0f516b
Source0:        http://ftp.gnu.org/pub/gnu/hello/hello-%{version}.tar.gz
#!RemoteAsset: sha256:4ea69de913428a4034d30dcdcb34ab84f5c4a76acf9040f3091f0d3fac411b60
Source1:        http://ftp.gnu.org/pub/gnu/hello/hello-%{version}.tar.gz.sig
# https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=hello&download=1
Source2:        %{name}.keyring
Patch0:         hello-1.3.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  makeinfo

%description
The GNU hello program produces a familiar, friendly greeting.  It
allows nonprogrammers to use a classic computer science tool that would
otherwise be unavailable to them.  Because it is protected by the GNU
General Public License, users are free to share and change it.

GNU hello supports many native languages.

%lang_package

%prep
# Use defined macro
%{hello}
%setup -q
%patch0
# force rebuild with non-broken makeinfo
rm -f doc/*.info

%build
export CFLAGS="%{optflags}"
%configure


%if %do_profiling && !0%{?is_cross}
  make CFLAGS="$CFLAGS %cflags_profile_generate" LDFLAGS="-fprofile-arcs"
  make check
  make clean
  make CFLAGS="$CFLAGS %cflags_profile_feedback" LDFLAGS="-fprofile-arcs"
%else
  make
%endif

%check
%if 0%{?is_cross}
exit 0
%endif
make check

%install
%make_install
%find_lang %{name}

# without mandir and infodir
rm -rf %buildroot/%_mandir
rm -rf %buildroot/%_infodir

%files
%defattr(-, root, root)
%doc COPYING TODO NEWS README THANKS ABOUT-NLS
%{_bindir}/*

%files lang -f %{name}.lang

%changelog
